"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerStoreExtension = void 0;
const storeEvents_1 = require("./storeEvents");
const storeMetadata_1 = require("./storeMetadata");
function registerStoreExtension(extension) {
    const api = {
        getStateMutationMetadata: storeMetadata_1.getStateMutationMetadata,
    };
    const middleware = extension(api);
    return storeEvents_1.STORE_EVENT_BUS.subscribe((event) => {
        if (middleware.onStoreEvent && !(0, storeMetadata_1.isInternalStore)(event.store)) {
            middleware.onStoreEvent(event);
        }
    });
}
exports.registerStoreExtension = registerStoreExtension;
//# sourceMappingURL=storeExtensions.js.map