import { Observable } from 'rxjs';
import { Controller } from './controller';
import { EffectError, EffectResult, EffectState } from './effectState';
export declare const GLOBAL_EFFECT_UNHANDLED_ERROR$: Observable<EffectError<unknown, unknown>>;
export type EffectController<Event, Result, ErrorType = Error> = Controller<{
    state: EffectState<Event, Result, ErrorType>;
    start: () => void;
    next: (result: EffectResult<Event, Result>) => void;
    complete: () => void;
    error: (error: EffectError<Event, ErrorType>) => void;
}>;
export declare function createEffectController<Event, Result, ErrorType = Error>(): EffectController<Event, Result, ErrorType>;
