import { STORE_EVENT_BUS } from './storeEvents';
import { getStateMutationMetadata, isInternalStore } from './storeMetadata';
export function registerStoreExtension(extension) {
    const api = {
        getStateMutationMetadata,
    };
    const middleware = extension(api);
    return STORE_EVENT_BUS.subscribe((event) => {
        if (middleware.onStoreEvent && !isInternalStore(event.store)) {
            middleware.onStoreEvent(event);
        }
    });
}
//# sourceMappingURL=storeExtensions.js.map